Comment 6 for bug 270626

I confirm the workaround above...

modify the debconf/frontend to use Dialog instead of KDE and this enables a "dpkg -i" to work:

1st try without change:
root@ubuntu:/# dpkg -i /var/cache/apt/archives/debconf_1.5.23ubuntu1_all.deb
(Reading database ... 273978 files and directories currently installed.)
Preparing to replace debconf 1.5.23ubuntu1 (using .../debconf_1.5.23ubuntu1_all.deb) ...
Unpacking replacement debconf ...
Setting up debconf (1.5.23ubuntu1) ...
*** stack smashing detected ***: /usr/bin/perl terminated
dpkg: error processing debconf (--install):
 subprocess post-installation script killed by signal (Segmentation fault)
Errors were encountered while processing:
 debconf

Here I followed the fix mentioned above:
root@ubuntu:/# vim /var/cache/debconf/config.dat

And 2nd try for installing debconf:
root@ubuntu:/# dpkg -i /var/cache/apt/archives/debconf_1.5.23ubuntu1_all.deb
(Reading database ... 273978 files and directories currently installed.)
Preparing to replace debconf 1.5.23ubuntu1 (using .../debconf_1.5.23ubuntu1_all.deb) ...
Unpacking replacement debconf ...
Setting up debconf (1.5.23ubuntu1) ...

Now i hope the beta of intrepid will install, because a lot of dependencies were stuck with this same error or because of packages concerned.....

79 upgraded, 67 newly installed, 3 to remove and 62 not upgraded.
1272 not fully installed or removed.
Need to get 0B/75.2MB of archives.
After this operation, 193MB of additional disk space will be used.
Do you want to continue [Y/n]?

Say YES !!!
:)